﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

/*a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}*/

/* Provide sufficient contrast against white background */
/*a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}*/

/* Sticky footer styles
-------------------------------------------------- */
/*html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}*/

/* Sticky footer styles
-------------------------------------------------- */
/*html {
  position: relative;
  min-height: 100%;
}

body {*/
  /* Margin bottom by footer height */
  /*margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px;*/ /* Vertically center the text there */
/*}*/

html {
    background-color: #a802c3;
    font-family: sans-serif;
    color: white;
    text-align: center;
}

input {
    width: 10%;
}

.mode-container {
    margin-top: 2em;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 1em;
    text-align: center;
}

.mode {
    background-color: rgba(255, 255, 255, .3);
    aspect-ratio: 1;
    max-width: 100px;
    border-radius: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.mode-content {
    margin: auto;
}

.slidecontainer {
    width: 100%; /* Width of the outside container */
    height: 50px;
}

button {
    width: 85%;
    height: 50px;
    font-size: 2em;
    border-radius: 2em;
    color: white;
    background-color: rgba(255, 255, 255, .3);
    border: none;
    margin-bottom: 1em;
}

button:disabled {
    opacity: 0.4;
}

#control-page {
    display: none;
}

/* The slider itself */
.slider {
    -webkit-appearance: none; /* Override default CSS styles */
    appearance: none;
    width: 100%; /* Full-width */
    height: 50px; /* Specified height */
    background: rgba(255,255,255,.75); /* Grey background */
    outline: none; /* Remove outline */
    opacity: 1; /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s; /* 0.2 seconds transition on hover */
    transition: opacity .2s;
}

    /* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
    .slider::-webkit-slider-thumb {
        -webkit-appearance: none; /* Override default look */
        appearance: none;
        width: 50px; /* Set a specific slider handle width */
        height: 50px; /* Slider handle height */
        background: white; /* Green background */
        cursor: pointer; /* Cursor on hover */
    }

    .slider::-moz-range-thumb {
        width: 50px; /* Set a specific slider handle width */
        height: 50px; /* Slider handle height */
        background: white; /* Green background */
        cursor: pointer; /* Cursor on hover */
    }